|  | Home · All Classes · Modules

# QStyleOptionToolButton.ToolButtonFeatures Class Reference
[QtGui module]

### Methods

- __init__ (self, ToolButtonFeatures)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ToolButtonFeatures __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ToolButtonFeatures f)
- ToolButtonFeatures __iand__ (self, int mask)
- int __int__ (self)
- ToolButtonFeatures __invert__ (self)
- ToolButtonFeatures __ior__ (self, ToolButtonFeatures f)
- ToolButtonFeatures __ixor__ (self, ToolButtonFeatures f)
- bool __ne__ (self, ToolButtonFeatures f)
- ToolButtonFeatures __or__ (self, ToolButtonFeatures f)
- ToolButtonFeatures __xor__ (self, ToolButtonFeatures f)

## Detailed Description

ToolButtonFeature may be used whenever ToolButtonFeatures is expected.

## Method Documentation

### ToolButtonFeatures.__init__ (self, ToolButtonFeatures)

### ToolButtonFeatures.__init__ (self, int)

### ToolButtonFeatures.__init__ (self)

### ToolButtonFeatures ToolButtonFeatures.__and__ (self, int mask)

### int ToolButtonFeatures.__bool__ (self)

### bool ToolButtonFeatures.__eq__ (self, ToolButtonFeatures f)

### ToolButtonFeatures ToolButtonFeatures.__iand__ (self, int mask)

### int ToolButtonFeatures.__int__ (self)

### ToolButtonFeatures ToolButtonFeatures.__invert__ (self)

### ToolButtonFeatures ToolButtonFeatures.__ior__ (self, ToolButtonFeatures f)

### ToolButtonFeatures ToolButtonFeatures.__ixor__ (self, ToolButtonFeatures f)

### bool ToolButtonFeatures.__ne__ (self, ToolButtonFeatures f)

### ToolButtonFeatures ToolButtonFeatures.__or__ (self, ToolButtonFeatures f)

### ToolButtonFeatures ToolButtonFeatures.__xor__ (self, ToolButtonFeatures f)